=== debian/changelog ===
ros-noetic-rosserial-client (0.9.2-1focal) focal; urgency=high

  * Use shutil.copyfile() instead of shutil.copy() (#530 <https://github.com/ros-drivers/rosserial/issues/530>)
  * Changed C++ STL include and code into original C versions (#525 <https://github.com/ros-drivers/rosserial/issues/525>)
  * Contributors: Ben Wolsieffer, Rafael Oliveira

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-client (0.9.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-client (0.9.0-1focal) focal; urgency=high

  * Method to compute duration between time stamps (#498 <https://github.com/ros-drivers/rosserial/issues/498>)
  * Python 3 and GCC7+ fixes (#508 <https://github.com/ros-drivers/rosserial/issues/508>)
    * Fixes for new warnings/behaviours in GCC 7+.
    * Resolve uninitMemberVar warnings in NodeHandle.
    * Use nullptr consistently.
  * Correctly handle seconds overflow in client time (#497 <https://github.com/ros-drivers/rosserial/issues/497>)
  * Use os.path.join for path concatenation (#495 <https://github.com/ros-drivers/rosserial/issues/495>)
  * Do not fail when trying to update ros_lib which already exists (#494 <https://github.com/ros-drivers/rosserial/issues/494>)
  * ros_lib: Removed code duplication in node_handle.h (#483 <https://github.com/ros-drivers/rosserial/issues/483>)
  * AVR Float64: fix cases like denormal numbers & inf (#442 <https://github.com/ros-drivers/rosserial/issues/442>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Change the access modifiers in NodeHandle_ from "private" to "protected" to make it easier to derive. (#426 <https://github.com/ros-drivers/rosserial/issues/426>)
  * Small Python 3 fixes for rosserial scripts. (#420 <https://github.com/ros-drivers/rosserial/issues/420>)
  * Contributors: Asuki Kono, Hermann von Kleist, Mike Purvis, Petteri Aimonen, Rik Baehnemann, 趙　漠居(Zhao, Moju)

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-client (0.8.0-1focal) focal; urgency=high

  * Add an empty newline to the generated headers. (#389 <https://github.com/ros-drivers/rosserial/issues/389>)
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * Contributors: Miklós Márton, Pikrass

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-client (0.7.7-1focal) focal; urgency=high

  * Add overall spin timeout to rosserial read. (#334 <https://github.com/ros-drivers/rosserial/issues/334>)
  * Fixing formatting on files. (#333 <https://github.com/ros-drivers/rosserial/issues/333>)
  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * fix spinOnce timeout : 5ms -> 5s (#326 <https://github.com/ros-drivers/rosserial/issues/326>)
  * [Client] Fix a warning in comparison. (#323 <https://github.com/ros-drivers/rosserial/issues/323>)
  * Use const in ros namespace instead of #define for constants. Fix #283 <https://github.com/ros-drivers/rosserial/issues/283> (#318 <https://github.com/ros-drivers/rosserial/issues/318>)
  * Fix CMP0046 warnings in catkin-built firmwares (#320 <https://github.com/ros-drivers/rosserial/issues/320>)
  * Prevent time variable overflow leading to parameter timeout error (#293 <https://github.com/ros-drivers/rosserial/issues/293>)
  * Add class member method callback support for Service Server. (#282 <https://github.com/ros-drivers/rosserial/issues/282>)
  * Added capability to specify timeout in getParam methods (#278 <https://github.com/ros-drivers/rosserial/issues/278>)
  * Contributors: 1r0b1n0, Alessandro Francescon, Bei Chen Liu, David Portugal, Dmitry Kargin, Mike O'Driscoll, Mike Purvis, Romain Reignier

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-client (0.7.6-1focal) focal; urgency=high

  * Fixing message has no attribute _md5sum (#257 <https://github.com/ros-drivers/rosserial/issues/257>)
  * Contributors: Mike O'Driscoll

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-client (0.7.5-1focal) focal; urgency=high

  * rosserial client variable typedefs (#254 <https://github.com/ros-drivers/rosserial/issues/254>)
    * Add typedefs to generated messages
    This brings rosserial message headers in line with
    roscpp headers that provide a typedef for the message
    variable member.
    * Removing unused imports and variables.
  * Added functions for endian-agnostic memory copying (#240 <https://github.com/ros-drivers/rosserial/issues/240>)
  * Contributors: Mike O'Driscoll, ivan

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.4-1focal) focal; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Support member functions as subscriber callbacks.
  * Contributors: Mike O'Driscoll, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.3-1focal) focal; urgency=high

  * Order packages by alpha rather than topologically. (#234 <https://github.com/ros-drivers/rosserial/issues/234>)
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.2-1focal) focal; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Supported 32bit array lengths in python make_libraries script
  * Contributors: Alan Meekins, David Lavoie-Boutin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.1-1focal) focal; urgency=high

  * Provide option to pass through CMake arguments in the CMAKE_COMMAND

